[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomRadioGroup.UpdateRadioButtonStates

UpdateRadioButtonStates including any pending changes.

## Declaration

Source position: extctrls.pp line 755

`protected procedure TCustomRadioGroup.UpdateRadioButtonStates; virtual;`

## Description

Updates the value in ItemIndex, and the tabs stop settings for all checked radio buttons in the control. ItemIndex is set to -1 when none of the radio buttons in the control have their Checked property set to True.